Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
assets
aid_account_assets_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size_bytes": 1000000,
  "mime_type": "image/png"
}
'
{
  "public_url": "<string>",
  "upload_url": "<string>",
  "upload_expires_in": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
size_bytes
integer
required

Size in bytes of the asset file to be uploaded.

Required range: 1 <= x <= 2000000
mime_type
enum<string>
required

MIME type of the asset to be uploaded

Available options:
image/png,
image/jpeg,
application/pdf,
application/vnd.ms-excel,
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
text/csv
access
enum<string>
default:public

Who can access the file?

Available options:
private,
public

Response

Upload URL

public_url
string<string>

The public URL the asset will be made available from after the upload has completed.

upload_url
string<url>

An URL to upload the asset to.

  • The content type header value must be the same as the mime_type
  • The content length header value must be the same as the size of the file and the size_bytes.

Upload example

curl -X PUT
-H 'Content-Type: {mime_type}' \
-H 'Content-Length: {size_bytes}' \
--upload-file <file> \
{upload_url}
upload_expires_in
integer

The number of seconds until the upload url is no longer valid

Last modified on May 12, 2026